[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'unixcp' (#rtl)

# GetCodepageData

Return index of codepage.

## Declaration

Source position: unixcp.pp line 636

`function GetCodepageData(`
`cp: TSystemCodePage`
`):LongInt;`

## Arguments

`cp` |  | Code page to search for

## Function result

Index of first entry in UnixCpMap or -1

## Description

GetCodepageData returns the index of the first entry in UnixCpMap which matches cp. Since the entries are ordered by code page number, this means the entries can be scanned for alternate code names starting at this index.

## Errors

If no matching code page is found, -1 is returned.

## See also

UnixCpMap |  | Map with codepage names.
GetSystemCodepage |  | Return the system code page based on the program environment.
GetCodepageByName |  | Find code page by name